# Uses of Interface
org.eclipse.net4j.tcp.ITCPSelector

Packages that use ITCPSelector
Package
Description
org.eclipse.net4j.tcp
Transport layer extension with support for TCP socket connections.

## Uses of ITCPSelector in org.eclipse.net4j.tcp

Methods in org.eclipse.net4j.tcp that return ITCPSelector
Modifier and Type
Method
Description
`ITCPSelector`
ITCPAcceptor.`getSelector()`
`ITCPSelector`
ITCPConnector.`getSelector()`
Methods in org.eclipse.net4j.tcp with parameters of type ITCPSelector
Modifier and Type
Method
Description
`void`
ITCPPassiveSelectorListener.`handleAccept(ITCPSelector selector, ServerSocketChannel serverSocketChannel)`
`void`
ITCPActiveSelectorListener.`handleConnect(ITCPSelector selector, SocketChannel socketChannel)`
`void`
ITCPActiveSelectorListener.`handleRead(ITCPSelector selector, SocketChannel socketChannel)`
`void`
ITCPActiveSelectorListener.`handleRegistration(ITCPSelector selector, SocketChannel socketChannel)`
`void`
ITCPPassiveSelectorListener.`handleRegistration(ITCPSelector selector, ServerSocketChannel serverSocketChannel)`
`void`
ITCPActiveSelectorListener.`handleWrite(ITCPSelector selector, SocketChannel socketChannel)`